# Generated by Django 4.0 on 2022-05-22 23:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Exercise',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('wording', models.TextField(null=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='exercises', to='auth.user')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Option',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=128)),
                ('exercise', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='options', to='exercise.exercise')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='UserAnswer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('exercise', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='user_answer', to='exercise.exercise')),
                ('option', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='exercise.option')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ExerciseAnswer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('exercise', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='exercise_answer', to='exercise.exercise')),
                ('option', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='exercise.option')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
